Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
hhhhgggg

Lisp đổi Text được chọn có chiều cao Height=0.2 và Width factor = 3 ????

Các bài được khuyến nghị

bác Pro nào viết cho em cái Lisp đổi Text được chọn thành Text có chiều cao Height=0.2 và Width factor = 3, Em chân thành cảm ơn ????

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bác Pro nào viết cho em cái Lisp đổi Text được chọn thành Text có chiều cao Height=0.2 và Width factor = 3, Em chân thành cảm ơn ????

 

Bạn dùng thử LISP này :

Không biết bạn có gõ nhầm không? thực tế tui thấy bản vẽ ít dùng text có Width factor = 3

(defun C:ChangeText( / ss e d )
 (setq ss (ssget '((0 . "TEXT")))
)
 (while (setq e (ssname ss 0))
   (setq d (entget e)
  d (subst (cons 40 0.2) (assoc 40 d) d) ; Height=0.2
  d (subst (cons 41 3) (assoc 41 d) d) ; Width factor = 3
  )
   (entmod d)
   (ssdel e ss)
   )
 (princ)
 )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn dùng thử LISP này :

Không biết bạn có gõ nhầm không? thực tế tui thấy bản vẽ ít dùng text có Width factor = 3

(defun C:ChangeText( / ss e d )
 (setq ss (ssget '((0 . "TEXT")))
)
 (while (setq e (ssname ss 0))
   (setq d (entget e)
  d (subst (cons 40 0.2) (assoc 40 d) d) ; Height=0.2
  d (subst (cons 41 3) (assoc 41 d) d) ; Width factor = 3
  )
   (entmod d)
   (ssdel e ss)
   )
 (princ)
 )

Ok ! Lisp của bác Gia_Bach chạy ngon lắm. Thực tế Text ban đầu có Width Factor = 1. Đó lá chương trình Nova nó chạy ra là như thế và mặc định cũng là 1 mà. Cảm ơn bác nhiều nhé !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn dùng thử LISP này :

Không biết bạn có gõ nhầm không? thực tế tui thấy bản vẽ ít dùng text có Width factor = 3

(defun C:ChangeText( / ss e d )
 (setq ss (ssget '((0 . "TEXT")))
)
 (while (setq e (ssname ss 0))
   (setq d (entget e)
  d (subst (cons 40 0.2) (assoc 40 d) d) ; Height=0.2
  d (subst (cons 41 3) (assoc 41 d) d) ; Width factor = 3
  )
   (entmod d)
   (ssdel e ss)
   )
 (princ)
 )

 

Chào bác gia bach

 

Mình đang muốn tìm hiểu về lisp nên mong bác phân tích 1 chút về cái lisp này.

Ví dụ như lệnh ssget, ssname, entget, entmod, ssdel có ý nghĩa như thế nào?

 

Giả sử mình viết thêm đoạn code về lineweight, Style, ... thì theo bên dưới mong bác hướng dẫn dùm.

(defun C:ChangeText( / ss e d )

(setq ss (ssget '((0 . "TEXT")))

)

(while (setq e (ssname ss 0))

(setq d (entget e)

d (subst (cons 40 0.2) (assoc 40 d) d) ; Height=0.2

d (subst (cons 41 3) (assoc 41 d) d) ; Width factor=3

d (subst (cons 1) (assoc d) d) ; Linetype Scale=1

d (subst (cons 0.2) (assoc d) d) ; Lineweight=0.2

d (subst (cons ORIGINAL) (assoc d) d) ; Style=ORIGINAL

)

(entmod d)

(ssdel e ss)

)

(princ)

)

 

Mình thấy Autolisp rất hay, hu74u ích trong công việc vẽ Cad nên mong mọi người chỉ giáo thêm về Autolisp.

 

Xin cảm ơn rất nhiều.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
...

Mình thấy Autolisp rất hay, hu74u ích trong công việc vẽ Cad nên mong mọi người chỉ giáo thêm về Autolisp.

...........

Bạn tham khảo Hướng dẫn lập trình Lisp : http://www.cadviet.com/forum/index.php?showtopic=2480

hoặc AfraLisp.net http://www.afralisp.net/index.htm

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×